<?php 
/*
    Plugin Name: Easy car rental custom backend 
    Plugin URI: http://clever-themes.com
    Author: Filipescu Alexandru
    Author URI: http://filipescu.ml
    Description: This plug-in adds a new menu from which you can add the title, picture and description of the desired car to be displayed on the website.
    Version: 1.0
    License: GPL2
    Text Domain: easy-car-rental-custom-backend
*/

if ( ! defined( 'ABSPATH' ) ){
  exit;
} 

add_action('plugins_loaded', function(){
  if( current_user_can('editor') || current_user_can('administrator')  ) {
  

 
function ecrcb_activate(){
  add_option('numar_masini', '5');
}
function ecrcb_deactivate(){

}
function ecrcb_uninstall(){
  delete_option('numar_masini');
}

register_activation_hook(__FILE__,'ecrcb_activate'); //__FILE__ arata calea completa a acestui fisier
register_deactivation_hook(__FILE__,'ecrcb_uninstall');
register_uninstall_hook(__FILE__,'ecrcb_uninstall');

add_action('init','ecrcb_auto_menu');

function ecrcb_auto_menu(){
  $labels = array(
    'name'              =>  'Cars',
    'singular_name'     =>  'Cars',
    'menu_name'         =>  'Cars',
    'name_admin_bar'    =>  'Cars', 'add new cars in the panel',
    'add_new'           =>  'Add New Cars',
    'add_new_item'      =>  'Add New Cars',
    'new_item'          =>  'New Cars',
    'edit_item'         =>  'Edit Information',
    'view_item'         =>  'View Cars',
    'all_items'         =>  'All Cars',
    'search_items'      =>  'Search Cars',
    'parent_item_colon' =>  'Parent Car:',
    'not_found'         =>  'There were no car posts found',
    'not_found_in_trash'=>  'No posts were found in the trash',
  );

  $args = array(
    'labels'          =>  $labels, //labels inseamnă etichete
    'public'          =>  true,
    'capability'      =>  'post',
    'has_archive'     =>  true,
    'supports'        =>  array('title', 'excerpt', 'editor', 'thumbnail'),
    'menu_position'   =>  10,
    'menu_icon'       => plugin_dir_url( __FILE__ ) . 'masina/car-compact.png',
    'taxonomies'      => array('category'),


  );

  register_post_type('ecrcb_auto', $args);
}

add_shortcode('ecrcb_auto', 'bc_show_auto');

function bc_show_auto(){

  global $post;
  $db_numar_masini = get_option('numar_masini');

  $args = array(
    'post_type'  => 'ecrcb_auto',
    'post_per_page' => $db_numar_masini,
    'orderby' => 'rand'
  );

  $ecrcb_auto = get_posts($args);

  echo '<ul class="ecrcb_auto">';
  foreach($ecrcb_auto as $post){
      setup_postdata($post);

      echo '<li>';
      echo '<h3><b>'.get_the_title().'</b></h3>';
      echo '<p>'.get_the_content().'</p>';
      echo '</li>';
  }
  echo '</ul>';

  wp_reset_postdata();

}

add_action('wp_enqueue_scripts','ecrcb_styles');
function ecrcb_styles(){
    wp_enqueue_script('jquery');
}
  }
  });
